#include "masc_cpp.h"
#include<windows.h>

Masc masc;

int __stdcall callback(const char *proc_name, struct BackEnd *bend, struct Token *ptr_tok) {
	masc.setbend(bend);
	if(strcmp(proc_name,"msgbox") == 0) {
		char *hello_world = masc["str"];
		if(hello_world != 0) {
			MessageBox(NULL,hello_world,hello_world,MB_OK | MB_ICONINFORMATION);
		}
	}

	return 0;
}

int main(int argc, char *argv[]) {
	
	masc.setcallback(callback);
	masc.run("cpp_masc.mas");
	masc.stop();
	return 0;
}